classification
Title: Visual C++ cannot build _ssl and _hashlib if newer OpenSSL is placed in $(dist) directory (PCBuild)
Type: behavior Stage: resolved
Components: Build Versions: Python 3.1, Python 3.2, Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: zach.ware Nosy List: BreamoreBoy, ocean-city, steve.dower, zach.ware
Priority: normal Keywords:

Created on 2010-10-01 14:47 by ocean-city, last changed 2014-09-29 20:16 by zach.ware. This issue is now closed.

Messages (5)
msg117805 - (view) Author: Hirokazu Yamamoto (ocean-city) * (Python committer) Date: 2010-10-01 14:47
Visual C++ cannot build _ssl and _hashlib if newer OpenSSL
is placed in $(dist) directory. This happens on PCbuild.

Python3.2 uses openssl-1.0.0a
Python3.1 and 2.7 uses openssl-0.9.8l

If the directory layout is like this, Python3.1
cannot build _ssl and _hashlib.

python-dev
   +- openssl-0.9.8l
   +- openssl-1.0.0a
   +- py3k
   +- release31-maint
   +- release27-maint

Because build_ssl.py in release31-maint thinks newer
is better, and select openssl-1.0.0a, but pyproject.vsprops
hard-corded $(openssldir) as openssl-0.9.8l. So Modules/ssl.c
cannot import ssl.h and so on.
msg117806 - (view) Author: Hirokazu Yamamoto (ocean-city) * (Python committer) Date: 2010-10-01 14:48
> Python3.1 cannot build _ssl and _hashlib.

And Python2.7 cannot.
msg227771 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-09-28 18:55
Has this been superseded by the many improvements made to the Windows build system over the last few months or even years?
msg227809 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2014-09-29 16:57
Should be fine. Both 2.7 and default have the full OpenSSL version in pyproject.vsprops, so they'll only use the version they expect.
msg227826 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2014-09-29 20:16
PCbuild/build_ssl.py in 2.7 and 3.4 look through pyproject.(vs)props for the openssl dir, and 3.5 no longer uses build_ssl.py in the regular build process, so this is in fact out of date.
History
Date User Action Args
2014-09-29 20:16:38zach.waresetstatus: open -> closed
messages: + msg227826

assignee: zach.ware
resolution: out of date
stage: resolved
2014-09-29 16:57:51steve.dowersetmessages: + msg227809
2014-09-28 18:55:15BreamoreBoysetnosy: + BreamoreBoy, zach.ware, steve.dower
type: behavior
messages: + msg227771
2010-10-01 14:48:29ocean-citysetmessages: + msg117806
2010-10-01 14:47:09ocean-citycreate